﻿/**************************************************************
            IXCYS - GENERAL STLYE - STYLE SHEET
**************************************************************/

/*#region PRODUITS */

.separator {
	/*display: flex;*/
}

body {
	color: #000;
}

.page-description {
	margin: 50px 0;
}

.separator::before,
.separator::after {
	content: '';
	flex: 1;
	border-bottom: 1px solid #000;
}

.separator:not(:empty)::before {
	margin-right: .25em;
}

.separator:not(:empty)::after {
	margin-left: .25em;
}


.row-flex {
	display: flex;
	align-items: stretch !important;
	flex-wrap: wrap;
}



.btn-remove-product {
	background: url('/_6xCart/assets/images/moins.svg') no-repeat left 0px;
	height: 20px;
	width: 20px;
	float: right;
	margin-right: 5px;
	/*background-color: #d22f2f !important;*/
}

.btn-add-product {
	background: url('/_6xCart/assets/images/plus.svg') no-repeat left 0px;
	height: 20px;
	width: 20px;
	float: right;
	margin-right: 5px;
	/*background-color: #d22f2f !important;*/
}

.btn-add-product, .btn-remove-product {
}



@media (max-width: 767px) {
	.row-flex > div[class*=col-xs] {
		margin-bottom: 15px;
		height: 152px;
	}

	.product-card img.img-responsive {
		max-height: 152px;
	}

	/*.product-card,*/
	.product-card-body {
		height: 152px;
	}

	.product-card .btn-add-product {
		position: absolute;
		bottom: 10px;
		right: 10px;
	}

	.product-card .price {
		font-size: 1.3em;
		position: absolute;
		bottom: 8px;
		/*left: 10px;*/
	}

	.product-card-desc {
		padding: 0 15px 15px 0;
	}
}

@media (min-width: 768px) and (max-width: 991px) {
	.row-flex > div[class*=col-sm] {
		margin-bottom: 15px;
		/*min-height: 200px;*/
	}

	.product-card-desc {
		padding: 6px 10px 20px 10px;
	}

	.product-card .price {
		font-size: 1.3em;
		position: absolute;
		bottom: 4px;
		right: 2px;
	}

	/*.btn-remove-product {
		margin-top: 2px;
		margin-right: 10px;
	}*/

	.product-card .btn-add-product {
		margin-left: 10px;
		margin-top: 2px;
	}
}

@media (min-width: 992px) and (max-width: 1199px) {
	.row-flex > div[class*=col-md] {
		margin-bottom: 15px;
		/*min-height: 250px;*/
	}

	.product-card-desc {
		padding: 6px 10px 20px 10px;
	}

	.product-card .price {
		font-size: 1.3em;
		position: absolute;
		bottom: 4px;
		right: 2px;
	}

	/*.btn-remove-product {
		margin-top: 2px;
		margin-right: 10px;
	}*/

	.product-card .btn-add-product {
		margin-top: 2px;
		margin-left: 10px;
	}
}

@media (min-width: 1200px) {
	.row-flex > div[class*=col-lg] {
		margin-bottom: 15px;
		/*min-height: 300px;*/
	}

	.product-card-desc {
		padding: 6px 10px 30px 10px;
	}

	.product-card .price {
		font-size: 1.3em;
		position: absolute;
		bottom: 4px;
		right: 2px;
	}

	/*.btn-remove-product {
		margin-top: 2px;
		margin-right: 10px;
	}*/

	.product-card .btn-add-product {
		margin-top: 2px;
		margin-left: 10px;
	}
}

.product-card-desc {
	font-style: italic;
	color: #777;
	font-weight: 100;
	font-size: .9em
}

.family-title h2 {
	margin: 0 !important;
}


.flex-categorry-title {
	display: flex;
}

	.flex-categorry-title > hr {
		width: 70%;
		border-top: 1px solid #000;
		align-self: flex-end;
	}


.product-card-title {
	padding: 10px 10px 0;
}

.product-card-body {
	/*        padding: 10px;
*/
}

.product-card-footer {
	padding: 10px;
	position: absolute;
	bottom: 0;
	right: 0;
}

.button-rounded {
	border-radius: 50%;
	margin: 2px;
}

.product-card {
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: start;
	flex-direction: column;
	border-radius: 15px;
	-webkit-transform: scale(1);
	-moz-transform: scale(1);
	-o-transform: scale(1);
	-ms-transform: scale(1);
	transform: scale(1);
	-webkit-box-shadow: 0 3px 5px rgba(0,0,0,.2);
	box-shadow: 0 3px 5px rgba(0,0,0,.2);
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	-o-transition: all 0.3s;
	-ms-transition: all 0.3s;
	transition: all 0.3s;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	-ms-transform-style: preserve-3d;
	transform-style: preserve-3d;
}


	.product-card:hover {
		-webkit-transform: scale(1.1);
		-moz-transform: scale(1.1);
		-o-transform: scale(1.1);
		-ms-transform: scale(1.1);
		transform: scale(1.1);
	}


.flex-listCookTypes {
	display: flex;
	flex-wrap: wrap;
}

	.flex-listCookTypes > li {
		margin: 2px;
	}


.header-bandeau > img {
	width: 100%
}


/* modal */

.modal-content {
	border-radius: 15px;
}

.ui-widget-content {
	border: none;
}

.product-quantity {
	font-size: 1.1em;
	padding: 0 0 0 5px;
}

/* boutons */
.btn {
	border-radius: 15px;
	padding: 15px;
}

.btn-cancel {
	background-color: #d22f2f !important;
	color: #fff !important;
}

/*.badge-primary {
    background-color: <%= PrincipalColor %>;
    color: #FFFFFF;
}
*/
/* forms*/
.form-control {
	border-radius: 15px;
	padding: 20px;
}

.dropdown-menu li:hover {
	background-color: #ddd
}

.dropdown-menu {
	top: -250px;
	max-height: 250px;
	overflow-y: auto;
}

.navbar-static-side {
	position: absolute !important;
	top: 0;
	bottom: 0;
	right: 0;
}

.list-category {
	margin-top: 15px;
}

.product-card .hidden-sm.hidden-md.hidden-lg img {
	object-fit: cover;
	height: 152px;
	width: 152px;
	border-top-left-radius: 15px;
	border-bottom-left-radius: 15px;
	margin-right: 15px
}

.product-card .hidden-xs img {
	object-fit: cover;
	/*height: 132px;
	width: 132px;
	margin-right: 15px
	*/
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
}

.store-picking ul.dropdown-menu {
	border-radius: 10px;
}

.store-picking .dropdown-menu li {
	padding: 15px 0;
	font-size: 1.3em;
	border-radius: 10px;
}


.nav > li > a {
	padding: 14px 20px 0px 0;
}

.navbar-top-links li a {
	margin: 0px 0px 0px 5px;
}